From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 31 May 2006<P>

Sorry to say, but truth be told. Capt's treatment of me has been shabby. I believed in him...my fault in listening to an accomplished womanizer...one who is all talk and no action except for getting as much of my property as possible...that would make me a "mark" as I see it...yes/no? He's already making long calls to another woman...my poetry now would be angrier than I need to be. Hospital again tomorrow for cancer tests @ VA Long Beach and head back to the South where Ibelong. Take care of your hearts...I spent six years learning to trust his and two years sorting out the lies and distortions he tells me and others...what a shame. Three sailboats and I have seen a sail up one time...I have cleaned, painted, bought supplies aplenty for the lot. Thank heavens I did not marry him...local friends here say he's had 5 wives. How do you ever trust again? . . . . . . Rennie
<HR>